> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a business



## OpenAPI

````yaml /openapi.json post /businesses
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /businesses:
    post:
      tags:
        - Businesses
      summary: Create a business
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The name of the business
                metadata:
                  type: object
                  additionalProperties: true
                  nullable: true
                  description: Arbitrary metadata to associate with the business
                external_id:
                  type: string
                  nullable: true
                  description: >-
                    An external identifier for the business. Must be unique
                    within the project
                website:
                  type: string
                  nullable: true
                  description: The website URL for the business
              required:
                - name
      responses:
        '200':
          description: The created `Business` object
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Business'
components:
  schemas:
    Business:
      type: object
      properties:
        id:
          type: string
          description: The ID of the business
        external_id:
          type: string
          nullable: true
          description: The external ID of the business
        name:
          type: string
          description: The name of the business
        metadata:
          type: object
          additionalProperties: true
          description: Arbitrary metadata associated with this business
        created_at:
          type: string
          description: The date and time the business was created
        website:
          type: string
          nullable: true
          description: The website URL of the business
        disabled_steps:
          type: array
          items:
            type: string
            enum:
              - email
              - sms
          nullable: true
          description: >-
            Steps disabled for this business. If `null`, the business inherits
            the project's `disabled_steps`. If set (including `[]`), this list
            fully overrides the project's setting.
      required:
        - id
        - external_id
        - name
        - metadata
        - created_at
        - website
        - disabled_steps
      title: The Business object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````